package com.backendsys.modules.upload.dao;

import com.backendsys.modules.upload.entity.SysFile;
import com.backendsys.modules.upload.entity.SysFileCategory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface SysFileCategoryDao extends BaseMapper<SysFileCategory> {
    List<Map<String, Object>> selectUploadFileCategoryList(SysFileCategory sysFileCategory);
    void insertBatch(List<SysFileCategory> list);
    void updateByIdBatch(List<SysFileCategory> list);
}
